<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~neoprep_registration.js" 
	styles="path.css,~../css/reggie-2.css"
	>
<style>
.date-col
{
	width: 12em;
}

.operator-col
{
	width: 24em;
}

.operator-col input
{
	width: 95%;
}

</style>

</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="NeoPrep library registration" 
		/></p:path>

	<div class="content">

	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select NeoPrep plate</div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="prompt">NeoPrep plate</td>
				<td class="input">
					<select class="required" name="bioplate" id="bioplate"></select>
				</td>
				<td class="status" id="bioplate.status"></td>
				<td class="help">
					<span id="bioplate.message" class="message"></span>
					Select an existing NeoPrep plate. The list contain all plates that
					has not yet been processed (determined by the absence of a 'creation' date).
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Outcome</td>
				<td class="input">
					<label><input type="radio" name="outcome" id="outcomeSuccess" 
						checked>Success</label> - continue processing<br>
					<label><input type="radio" name="outcome" id="outcomeFailed" 
						>Failure</label> - no further processing
				</td>
				<td class="status"></td>
				<td class="help">
					Select the <b>Failure</b> option if further processing to pooled libraries is not possible.
					Existing RNA will be flagged and added to the <b>Flagged RNA</b> list.
				</td>
			</tr>
			</table>
		</div>
	</div>	
	
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">NeoPrep settings and information</div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="prompt">Step</td>
				<td class="date-col"><b>Date</b></td>
				<td class="operator-col"><b>Operator</b></td>
				<td class="status"></td>
				<td class="help">
					Enter date and operator for each step in the NeoPrep library preparation.
					(YYYYMMDD or MMDD)
				</td>
			</tr>
			<tr>
				<td class="subprompt">Dilution</td>
				<td class="date-col">
					<input type="text" name="dilutionDate" id="dilutionDate"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="dilutionOperator"
						style="width: 8em;" maxlength="10">
						<base:icon 
							id="dilutionDateCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="dilutionDate"
							data-date-format="yyyyMMdd"
							data-title="Dilution date"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="operator-col">
					<input type="text" name="dilutionOperator" id="dilutionOperator" 
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="neoPrepDate"
						value="<%=HTML.encodeTags(user.getName())%>" maxlength="255">
				</td>
				<td class="status" id="dilutionDate.status"></td>
				<td class="help">
					<span id="dilutionDate.message" class="message"></span>
				</td>
			</tr>
			<tr>
				<td class="subprompt">NeoPrep</td>
				<td class="date-col">
					<input type="text" name="neoPrepDate" id="neoPrepDate"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="neoPrepOperator"
						style="width: 8em;" maxlength="10">
						<base:icon 
							id="neoPrepCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="neoPrepDate"
							data-date-format="yyyyMMdd"
							data-title="NeoPrep date"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="operator-col">
					<input type="text" name="neoPrepOperator" id="neoPrepOperator" 
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="libVolume"
						value="<%=HTML.encodeTags(user.getName())%>" maxlength="255">
				</td>
				<td class="status" id="neoPrepDate.status"></td>
				<td class="help">
					<span id="neoPrepDate.message" class="message"></span>
				</td>
			</tr>
			<tbody id="lib-section">
			<tr>
				<td class="prompt">Libraries</td>
				<td class="input" colspan="2"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="subprompt">Volume</td>
				<td class="input" colspan="2">
					<input type="text" name="libVolume" id="libVolume"
						class="auto-init required" data-auto-init="focus-on-enter" data-next-focus="libMolarity"
						style="width: 8em;" maxlength="10" value="10" data-default-value="10" data-min-value="0"> µl
				</td>
				<td class="status" id="libVolume.status"></td>
				<td class="help">
					<span id="libVolume.message" class="message"></span>
					The volume in µl of the final libraries.
				</td>
			</tr>
			<tr>
				<td class="subprompt">Molarity</td>
				<td class="input" colspan="2">
					<input type="text" name="libMolarity" id="libMolarity"
						class="auto-init required" data-auto-init="focus-on-enter" data-next-focus="libSize"
						style="width: 8em;" maxlength="10" value="10" data-default-value="10" data-min-value="0"> nM
				</td>
				<td class="status" id="libMolarity.status"></td>
				<td class="help">
					<span id="libMolarity.message" class="message"></span>
					The molarity in nM of the final libraries.
				</td>
			</tr>
			<tr>
				<td class="subprompt">Size</td>
				<td class="input" colspan="2">
					<input type="text" name="libSize" id="libSize"
						class="auto-init required" data-auto-init="focus-on-enter" data-next-focus="libProtocol"
						style="width: 8em;" maxlength="10" value="300" data-default-value="300" data-min-value="0"> BP
				</td>
				<td class="status" id="libSize.status"></td>
				<td class="help">
					<span id="libSize.message" class="message"></span>
					The size in base-pairs of the final libraries.
				</td>
			</tr>
			</tbody>

			<tr>
				<td class="prompt">Protocol</td>
				<td class="input" colspan="2">
					<select name="libProtocol" id="libProtocol" 
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="libComments"
						></select>
				</td>
				<td class="status" id="libProtocol.status"></td>
				<td class="help">
					<span id="libProtocol.message" class="message"></span>
					Select the protocol used for library preparation.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Comments</td>
				<td class="input" colspan="2">
					<textarea rows="4" name="libComments" id="libComments"></textarea>
				</td>
				<td class="status" id="libComments.status"></td>
				<td class="help">
					<span id="libComments.message" class="message"></span>
					Comments about the library preparation.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>